import { Platform } from "@ionic/angular";
import { AuthProviderService } from "../services/keycloak/auth-provider.service";


function initializeKeycloak(authProviderService: AuthProviderService, platform: Platform): Promise<any> {
  return new Promise(async (resolve, reject) => {
    platform.ready().then(async ready => {
      try {
        const loggedIn = await authProviderService.getProvider().isLoggedIn();
        console.log('Initializing keycloak ...', loggedIn);
        //  authProviderService.init().then(sucess => {
        //    console.log("logging succeed...", sucess);
        //    resolve('Authentication succeeded ...');
        //  }).catch(error => {
        //     console.log('Somehting may be wrong somehow...');
        //     reject(error);
        //  });
        await authProviderService.init();
        console.log('Getting access token ...');
        // await authProviderService.getToken();
        resolve('Authentication succeeded ...');
      } catch (error) {
        console.log('Failed to initialize Keycloak...', error);
        reject(error);
      }
    });
  });
}

export function AppInitializer(authProviderService: AuthProviderService, platform: Platform): () => Promise<any> {
  return (): Promise<any> => {
    return initializeKeycloak(authProviderService, platform);
  };
}