import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthProviderService } from '../services/keycloak/auth-provider.service';

@Component({
  selector: 'app-login',
  templateUrl: './login.page.html',
  styleUrls: ['./login.page.scss'],
})
export class LoginPage implements OnInit {

  constructor(private authProviderService: AuthProviderService,
    private router: Router) { }

  ngOnInit() {
  }

  login() {
    this.authProviderService.getProvider().login().then(sucess => {
      console.log('Login success', sucess);
      this.router.navigateByUrl('/tabs/tab3');
    }).catch(error => {
      console.log('Error on login', error)
    });
  }

}
