import { Component, OnInit } from '@angular/core';
import { AuthProviderService } from '../services/keycloak/auth-provider.service';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page implements OnInit {
  userProfile: any;
  constructor(private authProviderService: AuthProviderService) {}

  ngOnInit(): void {
    this.getUserInfo();
  }

  getUserInfo() {
    this.authProviderService.getProvider().loadUserProfile()
      .then(profile => {
        this.userProfile = profile;
        console.log('User profile', this.userProfile);
      }).catch(error => {
        console.log('Error getting user profile', error);
      });
  }

}
